[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r1351 - / tzdata tzdata/debian



Author: aurel32
Date: 2006-04-08 19:50:25 +0000 (Sat, 08 Apr 2006)
New Revision: 1351

Added:
   tzdata/
   tzdata/debian/
   tzdata/debian/changelog
   tzdata/debian/compat
   tzdata/debian/control
   tzdata/debian/copyright
   tzdata/debian/install
   tzdata/debian/links
   tzdata/debian/postinst
   tzdata/debian/preinst
   tzdata/debian/rules
Log:
New package splitted out of libc6, which contains the timezone data.



Added: tzdata/debian/changelog
===================================================================
--- tzdata/debian/changelog	2006-04-08 15:38:06 UTC (rev 1350)
+++ tzdata/debian/changelog	2006-04-08 19:50:25 UTC (rev 1351)
@@ -0,0 +1,9 @@
+tzdata (2006c-1) unstable; urgency=low
+
+  * Initial release.
+  * For easy updating, this package has been splitted out of the GNU C
+    Library.
+  * Thanks to the authors of the langpack-locales Ubuntu package, which has
+    been used to understand how to process source timezone files.
+
+ -- Aurelien Jarno <aurel32@debian.org>  Sat,  8 Apr 2006 19:00:31 +0200

Added: tzdata/debian/compat
===================================================================
--- tzdata/debian/compat	2006-04-08 15:38:06 UTC (rev 1350)
+++ tzdata/debian/compat	2006-04-08 19:50:25 UTC (rev 1351)
@@ -0,0 +1 @@
+4

Added: tzdata/debian/control
===================================================================
--- tzdata/debian/control	2006-04-08 15:38:06 UTC (rev 1350)
+++ tzdata/debian/control	2006-04-08 19:50:25 UTC (rev 1351)
@@ -0,0 +1,17 @@
+Source: tzdata
+Section: libs
+Priority: required
+Build-Depends: debhelper (>= 4.0.0)
+Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
+Uploaders: Ben Collins <bcollins@debian.org>, GOTO Masanori <gotom@debian.org>, Philip Blundell <pb@nexus.co.uk>, Jeff Bailey <jbailey@raspberryginger.com>, Daniel Jacobowitz <dan@debian.org>, Clint Adams <schizo@debian.org>, Denis Barbier <barbier@debian.org>, Aurelien Jarno <aurel32@debian.org>
+Standards-Version: 3.6.2
+
+Package: tzdata
+Architecture: all
+Depends: libc-bin (>= 2.3.6-6)
+Replaces: libc0.1, libc0.3, libc6, libc6.1
+Description: Time Zone and Daylight Saving Time Data
+ This package contains data that represent the history of local time for many 
+ representative locations around the globe. It is updated periodically to 
+ reflect changes made by political bodies to time zone boundaries, UTC offsets,
+ and daylight-saving rules

Added: tzdata/debian/copyright
===================================================================
--- tzdata/debian/copyright	2006-04-08 15:38:06 UTC (rev 1350)
+++ tzdata/debian/copyright	2006-04-08 19:50:25 UTC (rev 1351)
@@ -0,0 +1,10 @@
+This is the Debian prepackaged version of the Time Zone and Daylight 
+Saving Time Data. 
+
+It was downloaded from ftp://elsie.nci.nih.gov/pub/
+
+Upstream Authors: Arthur David Olson et.al.
+Commentary should be addressed to tz@elsie.nci.nih.gov
+
+Copyright: This database is in the public domain.
+

Added: tzdata/debian/install
===================================================================
--- tzdata/debian/install	2006-04-08 15:38:06 UTC (rev 1350)
+++ tzdata/debian/install	2006-04-08 19:50:25 UTC (rev 1351)
@@ -0,0 +1,3 @@
+tzgen/* usr/share/zoneinfo/
+tzsource/iso3166.tab usr/share/zoneinfo/
+tzsource/zone.tab usr/share/zoneinfo/

Added: tzdata/debian/links
===================================================================
--- tzdata/debian/links	2006-04-08 15:38:06 UTC (rev 1350)
+++ tzdata/debian/links	2006-04-08 19:50:25 UTC (rev 1351)
@@ -0,0 +1 @@
+etc/localtime usr/share/zoneinfo/localtime 

Added: tzdata/debian/postinst
===================================================================
--- tzdata/debian/postinst	2006-04-08 15:38:06 UTC (rev 1350)
+++ tzdata/debian/postinst	2006-04-08 19:50:25 UTC (rev 1351)
@@ -0,0 +1,93 @@
+#!/bin/bash
+set -e
+export LC_ALL=C
+
+type=$1
+preversion=$2
+
+zone_banner() {
+    TZBase=$(LC_ALL=C TZ=UTC0 date)
+    UTdate=$(TZ=UTC0 date -d "$TZBase")
+    TZdate=$(TZ="$timezone" date -d "$TZBase")
+    extra_info="
+Local time is now:      $TZdate.
+Universal Time is now:  $UTdate."
+    echo "Current default timezone: '$timezone'.$extra_info"
+    echo "Run 'tzconfig' if you wish to change it."
+}
+
+set_timezone() {
+    frontend=`echo "$DEBIAN_FRONTEND" | tr '[:upper:]' '[:lower:]'`
+    if [ "$frontend" = noninteractive ]; then
+        echo "Non-interactive mode, setting timezone to UTC.  Run tzconfig to change."
+        echo "UTC" >/etc/timezone
+        ln -sf /usr/share/zoneinfo/UTC /etc/localtime
+    else
+        echo "Running 'tzconfig' to set this system's timezone."
+        /usr/sbin/tzconfig
+    fi
+}
+
+realpath()
+{
+    fname=${1%/} # strips trailing '/'
+    while [ -L "$fname" ]; do
+	oldfname="$fname"
+	fname="$(command ls -l $fname)"
+	fname="${fname#*\> }"
+	if [ "$fname" = . ] ; then
+	    fname="$(dirname $oldfname)"
+	elif echo $fname | grep -vq '^/' - ; then
+	    fname="$(dirname $oldfname)/$fname"
+	fi
+    done
+    pushd $(dirname $fname) > /dev/null
+    fname=$(pwd -P)/$(basename $fname)
+    popd > /dev/null
+    echo $fname
+}
+
+if [ "$type" = "configure" ]
+then
+    if [ -f /etc/timezone ]; then
+	timezone=$(cat /etc/timezone)
+    else
+	timezone=Factory
+    fi
+    if [ "$timezone" = Factory ]; then
+	if [ -L /etc/localtime ]; then
+	    localtime_link=$(realpath /etc/localtime)
+	    if [ -f "$localtime_link" ]; then
+		link_not_dangling=true
+	    fi
+	    if [ "$link_not_dangling" = true ]; then
+		timezone=$(echo $localtime_link | sed 's%^/usr/share/zoneinfo/%%')
+	    fi
+	fi
+    fi
+    if [ -f /usr/share/zoneinfo/$timezone ] && [ "$timezone" != Factory ]
+    then
+#	zic -l $timezone
+	rm -f /etc/localtime && \
+	ln -sf /usr/share/zoneinfo/$timezone /etc/localtime
+	zone_banner
+    # Handle problem caused by lame old tzconfig.
+    elif [ "$timezone" = "US/Pacific-New" ]
+    then
+	echo "US/Pacific" > /etc/timezone
+#	zic -l US/Pacific
+	rm -f /etc/localtime && \
+	ln -sf /usr/share/zoneinfo/US/Pacific /etc/localtime
+	zone_banner
+    else
+	set_timezone
+    fi
+    if [ "$(date +%Z)" = "/etc/localtime" ]; then
+	set_timezone
+    fi
+fi
+
+
+#DEBHELPER#
+
+exit 0

Added: tzdata/debian/preinst
===================================================================
--- tzdata/debian/preinst	2006-04-08 15:38:06 UTC (rev 1350)
+++ tzdata/debian/preinst	2006-04-08 19:50:25 UTC (rev 1351)
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+export LC_ALL=C
+
+if [ "$1" = upgrade ]
+then
+    if [ -f /var/lib/dpkg/info/timezone.postrm ]; then
+	rm -f /var/lib/dpkg/info/timezone.postrm
+    fi
+    if [ -f /var/lib/dpkg/info/timezones.postrm ]; then
+	rm -f /var/lib/dpkg/info/timezones.postrm
+    fi
+    if dpkg --compare-versions "$2" lt 2.1.3-8; then
+	if [ -s /etc/timezone ]; then
+	    cp -a /etc/timezone /etc/timezone.save
+	fi
+    fi
+fi
+
+#DEBHELPER#
+
+exit 0

Added: tzdata/debian/rules
===================================================================
--- tzdata/debian/rules	2006-04-08 15:38:06 UTC (rev 1350)
+++ tzdata/debian/rules	2006-04-08 19:50:25 UTC (rev 1351)
@@ -0,0 +1,75 @@
+#!/usr/bin/make -f
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+export LC_ALL=C
+
+TZGEN := $(CURDIR)/tzgen
+TZSOURCE := $(CURDIR)/tzsource
+TIMEZONES := africa \
+             antarctica \
+             asia \
+             australasia \
+             europe \
+             northamerica \
+             southamerica \
+             etcetera \
+             factory \
+             solar87 \
+             solar88 \
+             solar89 \
+             backward \
+             systemv 
+
+build: build-stamp
+build-stamp:
+	dh_testdir
+
+	mkdir $(TZSOURCE)
+	for x in $$(ls tzdata*.tar.gz); do \
+	  tar -xzvC $(TZSOURCE) -f $${x} ;\
+	done
+	for zone in $(TIMEZONES); do \
+	  /usr/sbin/zic -d $(TZGEN) -L /dev/null -y $(TZSOURCE)/yearistype.sh $(TZSOURCE)/$${zone} ; \
+	  /usr/sbin/zic -d $(TZGEN)/posix -L /dev/null -y $(TZSOURCE)/yearistype.sh $(TZSOURCE)/$${zone} ; \
+	  /usr/sbin/zic -d $(TZGEN)/right -L $(TZSOURCE)/leapseconds -y $(TZGEN)/yearistype.sh $(TZSOURCE)/$${zone} ; \
+	done
+						
+	touch $@
+
+clean:
+	dh_testdir
+	dh_testroot
+	-rm -rf $(TZSOURCE) $(TZGEN)
+	rm -f build-stamp
+	dh_clean 
+
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k 
+	# Do nothing
+
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
+# Build architecture-independent files here.
+binary-indep: build install
+	dh_testdir
+	dh_testroot
+	dh_installdirs
+	dh_install
+	dh_installchangelogs
+	dh_link
+	dh_installdocs
+	dh_installinfo
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install


Property changes on: tzdata/debian/rules
___________________________________________________________________
Name: svn:executable
   + *



Reply to: